get
https://api-pro.sim.hashkeydev.com/api/v1/convertCurrency/transactStatus
Get the status for currency conversion transaction
Weight: 1
Request Parameters
| PARAMETER | TYPE | Req'd | Example | DESCRIPTION |
|---|---|---|---|---|
| orderId | STRING | C | FX624613599962509312 | The orderId generated by HashKey Can be used for filter |
| limit | INTEGER | Limit per page for records. Default: 500, Max: 1000. | ||
| status | ENUM | EXECUTED,FAILED | Status of transaction filter. Enum: IN PROGRESS / EXECUTED / FAILED, support multiple status query separated by comma, e,.g. "EXECUTED,FAILED" | |
| startTime | LONG | Y | 1751870337876 | createTime filter |
| endTime | LONG | Y | 1751870337876 | createTime filter |
Response Content
| PARAMETER | TYPE | Example values | DESCRIPTION |
|---|---|---|---|
| code | STRING | 0 | |
| message | STRING | Success | |
| fxOrders | Object Array | Order List | |
| LONG | 1644290379632090370 | Account number |
| STRING | FX624613599962509312 | The orderId generated by HashKey |
| STRING | IN_PROGRESS | Status of transaction. Enum: IN PROGRESS / EXECUTED / FAILED |
| STRING | HKD | Currency to buy |
| STRING | USD | Currency to sell |
| DECIMAL | 1000.0000 | The amount which the client wants to buy from the bank in buyCurrency. Only one amount out of buyAmount & sellAmount should be specified |
| DECIMAL | 128.1260 | The amount which the client wants to sell to the bank in sellCurrency. Only one amount out of buyAmount & sellAmount should be specified |
| DECIMAL | 0.128126 | Indicative rate |
| LONG | 1726727486992 | Timestamp in milliseconds |
| STRING | de3e332cc5a84ffba474078e1c0298f9 |